#pragma once

#include "VorbisPlayer.h"
#include "JavaAudioPlayer.h"

namespace sf
{
namespace core
{
namespace android
{

class CAudioPlayer
{
public:
	CAudioPlayer();
	CAudioPlayer(const CAudioPlayer &);
	~CAudioPlayer();
	CAudioPlayer & operator = (const CAudioPlayer &);

	bool Open(const char * _file, const void * file_mmap, int _offset, int _length, bool _loop);
	void Close();

	void Start();
	void Stop();
	void Pause();
	bool IsPlaying() const;
	int GetDuration() const;
	void SetVolume(float _volume);

private:
	CVorbisPlayer * m_VorbisPlayer;
	CJavaAudioPlayer m_JavaPlayer;
};

}
}
}